.homepage-navbar {
    position: fixed;
    top: 0; left: 0; right: 0;
    z-index: 100;
    width: 50%;
    margin: 1em auto 0;
    padding: 14px 40px;
    display: flex;
    align-items: center;
    border-radius: 1000px;
    justify-content: space-between;
    border: 1px solid rgba(255,255,255,0.05);
    background: rgba(10,10,10,0.85);
    backdrop-filter: blur(20px);
    -webkit-backdrop-filter: blur(20px);
}

a.homepage-navbar-logo img {
    display: block;
    width: 32px;
    height: 32px;
    border-radius: 1000px;
    border: 1px solid rgba(255,255,255,0.1);
}

nav.homepage-nav {
    display: flex;
    gap: 10px;
}

nav.homepage-nav a {
    color: #fff;
    font-size: 14px;
    font-family: Rajdhani, sans-serif;
    text-decoration: none;
}

a.homepage-navbar-cta {
    padding: 5px 10px;
    background: #e10600;
    color: #fff;
    font-family: Rajdhani, sans-serif;
    font-size: 12px;
    font-weight: 700;
    letter-spacing: 0.12em;
    text-transform: uppercase;
    border-radius: 5px;
    text-decoration: none;
}

@media (max-width: 850px) {
  .homepage-navbar {
    width: 90%;
    padding: 10px 20px;
  }
}